image: golang

stages:
  - build
  - test

build:
  stage: build
  script:
    - go build
    - cd cmd/big-display-server
    - mkdir -p dist
    - for armv in 5 6 7; do
    -   env GOOS=linux GOARCH=arm GOARM=$armv go build -o dist/big-display-server-armv$armv
    - done
  artifacts:
    paths:
      - cmd/big-display-server/dist

test:
  stage: test
  script:
    - go get ./...
    - go vet ./...
    - go test .
